## ros-noetic-flexbe-widget 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(flexbe_widget)

find_package(catkin REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

# specify catkin-specific information
# INCLUDE_DIRS - The exported include paths (i.e. cflags) for the package
# LIBRARIES - The exported libraries from the project
# CATKIN_DEPENDS - Other catkin projects that this project depends on
# DEPENDS - Non-catkin CMake projects that this project depends on
# CFG_EXTRAS - Additional configuration options 
catkin_package(
    INCLUDE_DIRS src
    LIBRARIES ${PROJECT_NAME})

# use add_library() or add_executable() as required
#add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})

FILE(GLOB BIN_FILES "bin/*")

# install executables
install(PROGRAMS ${BIN_FILES} DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-noetic-flexbe-widget 1.3.1

=== debian/changelog ===
ros-noetic-flexbe-widget (1.3.1-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Thu, 10 Dec 2020 23:00:00 -0000

ros-noetic-flexbe-widget (1.3.0-1buster) buster; urgency=high

  * [flexbe_core] [flexbe_widget] Correctly handle non-existing behaviors in action goals
    (fix #133 <https://github.com/team-vigir/flexbe_behavior_engine/issues/133>)
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_widget] Accept more valid status codes by launcher
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-noetic-flexbe-widget (1.2.5-1buster) buster; urgency=high

  * Merge pull request #120 <https://github.com/team-vigir/flexbe_behavior_engine/issues/120> from cheffe112/startup_race_condition
    wait for READY status from Behavior Engine before launching behavior to avoid race conditions on startup
  * avoid callback trigger before ready event has been created
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * wait for READY status from Behavior Engine before launching behavior
    Whenever behavior_onboard and be_launcher are launched together, there used to be a race condition of publishing the behavior in behavior_launcher, but the subscriber in behavior_onboard not being ready yet. Hence, behavior_launcher now waits for the READY status to appear on the flexbe/status topic before it actually attempts to launch the behavior.
  * [flexbe_widget] Update evaluate_logs script to new format
  * Merge pull request #118 <https://github.com/team-vigir/flexbe_behavior_engine/issues/118> from StefanFabian/action_server_callback_based
    Using event based action server instead of control loop.
  * Improved preempt logic.
  * Only accept goal if ActionServer is not active.
  * Handle errors before behavior start.
  * Using event based action server instead of control loop.
    Waiting for terminal state of flexbe before setting goal to a terminal state and accepting a new one.
  * Contributors: Philipp Schillinger, Stefan Fabian, Tobias Doernbach

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-noetic-flexbe-widget (1.2.4-1buster) buster; urgency=high

  * Merge pull request #110 <https://github.com/team-vigir/flexbe_behavior_engine/issues/110> from team-vigir/fix/catkin_install
    Let behavior library find sourcecode in devel or install spaces
  * Let behavior library find sourcecode in devel or install spaces
    (fix #104 <https://github.com/team-vigir/flexbe_behavior_engine/issues/104>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-noetic-flexbe-widget (1.2.3-1buster) buster; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_core] [flexbe_widget] Add simple breakpoint feature (see #93 <https://github.com/team-vigir/flexbe_behavior_engine/issues/93>)
  * [flexbe_widget] Support loading files as behavior args for the action server
  * Merge pull request #90 <https://github.com/team-vigir/flexbe_behavior_engine/issues/90> from cjue/patch-1
    Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"
  * Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"
    Also correct usage string whitespace, remove "," from value list
  * Contributors: Christian Jülg, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-noetic-flexbe-widget (1.2.2-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-noetic-flexbe-widget (1.2.1-1buster) buster; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-noetic-flexbe-widget (1.1.2-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_widget] Robustify action server when spammed with failing behaviors
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-flexbe-widget (1.1.1-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-flexbe-widget (1.1.0-1buster) buster; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * [flexbe_widget] Fix: Remove launch install rule
  * Update maintainer information
  * [flexbe_widget] Remove deprecated Chrome app files
  * State logger is optional and off by default
  * [flexbe_widget] Update create_repo script to rename behaviors package
  * Merge remote-tracking branch 'origin/develop'


=== debian/control ===
Source: ros-noetic-flexbe-widget
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/flexbe_widget
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flexbe-core, ros-noetic-flexbe-mirror, ros-noetic-flexbe-msgs, ros-noetic-flexbe-onboard, ros-noetic-rospy
Description: flexbe_widget implements some smaller scripts for the behavior engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flexbe-widget//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-flexbe-widget 1.4.0

=== debian/changelog ===
ros-noetic-flexbe-widget (1.4.0-2focal) focal; urgency=high

  * Updates for Melodic and Noetic releases on github.com/FlexBE

 -- Philipp Schillinger <schillin@kth.se>  Thu, 18 May 2023 04:00:00 -0000

ros-noetic-flexbe-widget (1.3.1-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Fri, 11 Dec 2020 05:00:00 -0000

ros-noetic-flexbe-widget (1.3.0-2focal) focal; urgency=high

  * [flexbe_core] [flexbe_widget] Correctly handle non-existing behaviors in action goals
    (fix #133 <https://github.com/team-vigir/flexbe_behavior_engine/issues/133>)
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_widget] Accept more valid status codes by launcher
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 19 Nov 2020 05:00:00 -0000

ros-noetic-flexbe-widget (1.2.5-2focal) focal; urgency=high

  * Merge pull request #120 <https://github.com/team-vigir/flexbe_behavior_engine/issues/120> from cheffe112/startup_race_condition
    wait for READY status from Behavior Engine before launching behavior to avoid race conditions on startup
  * avoid callback trigger before ready event has been created
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * wait for READY status from Behavior Engine before launching behavior
    Whenever behavior_onboard and be_launcher are launched together, there used to be a race condition of publishing the behavior in behavior_launcher, but the subscriber in behavior_onboard not being ready yet. Hence, behavior_launcher now waits for the READY status to appear on the flexbe/status topic before it actually attempts to launch the behavior.
  * [flexbe_widget] Update evaluate_logs script to new format
  * Merge pull request #118 <https://github.com/team-vigir/flexbe_behavior_engine/issues/118> from StefanFabian/action_server_callback_based
    Using event based action server instead of control loop.
  * Improved preempt logic.
  * Only accept goal if ActionServer is not active.
  * Handle errors before behavior start.
  * Using event based action server instead of control loop.
    Waiting for terminal state of flexbe before setting goal to a terminal state and accepting a new one.
  * Contributors: Philipp Schillinger, Stefan Fabian, Tobias Doernbach

 -- Philipp Schillinger <schillin@kth.se>  Sun, 14 Jun 2020 04:00:00 -0000

ros-noetic-flexbe-widget (1.2.4-2focal) focal; urgency=high

  * Merge pull request #110 <https://github.com/team-vigir/flexbe_behavior_engine/issues/110> from team-vigir/fix/catkin_install
    Let behavior library find sourcecode in devel or install spaces
  * Let behavior library find sourcecode in devel or install spaces
    (fix #104 <https://github.com/team-vigir/flexbe_behavior_engine/issues/104>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 25 Mar 2020 04:00:00 -0000

ros-noetic-flexbe-widget (1.2.3-2focal) focal; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_core] [flexbe_widget] Add simple breakpoint feature (see #93 <https://github.com/team-vigir/flexbe_behavior_engine/issues/93>)
  * [flexbe_widget] Support loading files as behavior args for the action server
  * Merge pull request #90 <https://github.com/team-vigir/flexbe_behavior_engine/issues/90> from cjue/patch-1
    Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"
  * Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"
    Also correct usage string whitespace, remove "," from value list
  * Contributors: Christian Jülg, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 10 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-widget (1.2.2-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Mon, 16 Sep 2019 04:00:00 -0000

ros-noetic-flexbe-widget (1.2.1-2focal) focal; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 02 Jun 2019 04:00:00 -0000

ros-noetic-flexbe-widget (1.1.2-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_widget] Robustify action server when spammed with failing behaviors
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 09 Apr 2019 04:00:00 -0000

ros-noetic-flexbe-widget (1.1.1-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 18 Dec 2018 05:00:00 -0000

ros-noetic-flexbe-widget (1.1.0-2focal) focal; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * [flexbe_widget] Fix: Remove launch install rule
  * Update maintainer information
  * [flexbe_widget] Remove deprecated Chrome app files
  * State logger is optional and off by default


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Philipp Schillinger <schillin@kth.se>
-Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
+Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
 Homepage: http://ros.org/wiki/flexbe_widget
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
